# -*- coding: utf-8 -*- 
# @Time    : 04/04/2024 
# @Author  : nzooherd 
# @File    : __init__.py 
# @Software: Visual Studio Code

from logging import getLogger
import signal
import sys
from log import config_logger

logger = getLogger()

class BaseApp:

    def __init__(self) -> None:
        config_logger(self.__class__.__name__)
        signal.signal(signal.SIGINT, self.signal_handler)

    def signal_handler(self, signal, frame):
        logger.info("\nCtrl+C captured, exiting...")
        self.clean_up()
        sys.exit(0)

    def log_system():
        logger.debug(f"System path: {''.join(sys.path)}")
    
    def clean_up(self):
        logger.debug("Cleaning up...")